- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | List of all members
pdftron::PDF::Annots::SignatureWidget Class Reference

`#include <SignatureWidget.h>`

Inheritance diagram for pdftron::PDF::Annots::SignatureWidget:

## Public Member Functions
| SignatureWidget (SDF::Obj d=0)
| SignatureWidget (const Annot &annot)
DigitalSignatureField | GetDigitalSignatureField ()
void | CreateSignatureAppearance (Image &img)
Public Member Functions inherited from pdftron::PDF::Annots::Widget
| Widget (SDF::Obj d=0)
| Widget (const Annot &ann)
Field | GetField () const
HighlightingMode | GetHighlightingMode () const
void | SetHighlightingMode (HighlightingMode mode=e_invert)
Action | GetAction () const
void | SetAction (const Action &action)
int | GetBorderColorCompNum () const
ColorPt | GetBorderColor () const
void | SetBorderColor (const ColorPt &col, int compnum)
int | GetBackgroundColorCompNum () const
ColorPt | GetBackgroundColor () const
void | SetBackgroundColor (const ColorPt &c, int compnum)
UString | GetStaticCaptionText () const
void | SetStaticCaptionText (const UString &contents)
UString | GetRolloverCaptionText () const
void | SetRolloverCaptionText (const UString &contents)
UString | GetMouseDownCaptionText () const
void | SetMouseDownCaptionText (const UString &contents)
SDF::Obj | GetStaticIcon () const
void | SetStaticIcon (SDF::Obj icon)
SDF::Obj | GetRolloverIcon () const
void | SetRolloverIcon (SDF::Obj icon)
SDF::Obj | GetMouseDownIcon () const
void | SetMouseDownIcon (SDF::Obj icon)
IconCaptionRelation | GetIconCaptionRelation () const
void | SetIconCaptionRelation (IconCaptionRelation icr)
ScaleCondition | GetScaleCondition () const
void | SetScaleCondition (ScaleCondition sd)
ScaleType | GetScaleType () const
void | SetScaleType (ScaleType st)
double | GetHIconLeftOver () const
void | SetHIconLeftOver (double hl)
double | GetVIconLeftOver () const
void | SetVIconLeftOver (double vl)
bool | GetFitFull () const
void | SetFitFull (bool ff)
ColorPt | GetTextColor ()
int | GetTextColorCompNum ()
void | SetTextColor (const ColorPt &color, int col_comp)
double | GetFontSize () const
void | SetFontSize (double font_size)
Font | GetFont () const
void | SetFont (const Font &font)
Public Member Functions inherited from pdftron::PDF::Annot
| Annot (SDF::Obj d=0)
| Annot (const Annot &d)
Annot & | operator= (const Annot &d)
bool | operator== (const Annot &d)
bool | IsValid () const
SDF::Obj | GetSDFObj () const
Type | GetType () const
Rect | GetRect () const
Rect | GetVisibleContentBox () const
bool | IsMarkup () const
void | SetRect (const Rect &pos)
Page | GetPage () const
void | SetPage (const Page &page)
SDF::Obj | GetUniqueID () const
void | SetUniqueID (const char *id, int id_buf_sz=0)
Date | GetDate () const
void | SetDate (const Date &date)
bool | GetFlag (Flag flag) const
void | SetFlag (Flag flag, bool value)
SDF::Obj | GetTriggerAction (Annot::ActionTriggerEvent trigger)
BorderStyle | GetBorderStyle () const
void | SetBorderStyle (const BorderStyle &bs, bool oldStyleOnly=false)
SDF::Obj | GetAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | SetAppearance (SDF::Obj app_stream, AnnotationState annot_state=e_normal, const char *app_state=0)
void | RemoveAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | Flatten (class Page page)
const char * | GetActiveAppearanceState () const
void | SetActiveAppearanceState (const char *astate)
ColorPt | GetColorAsRGB () const
ColorPt | GetColorAsCMYK () const
ColorPt | GetColorAsGray () const
int | GetColorCompNum () const
void | SetColor (const ColorPt &col, int numcomp=3)
int | GetStructParent () const
void | SetStructParent (const int parkeyval)
SDF::Obj | GetOptionalContent () const
void | SetOptionalContent (SDF::Obj content)
void | SetContents (const UString &contents)
UString | GetContents () const
int | GetRotation () const
void | SetRotation (int angle)
void | RefreshAppearance ()
void | RefreshAppearance (const RefreshOptions &options)
UString | GetCustomData (const UString &key) const
void | SetCustomData (const UString &key, const UString &value)
void | DeleteCustomData (const UString &key)
void | Resize (const Rect &newrect)
ptrdiff_t | GetHandleInternal ()

## Static Public Member Functions
static SignatureWidget | Create (PDFDoc &doc, const Rect &pos, const UString &field_name="")
static SignatureWidget | Create (PDFDoc &doc, const Rect &pos, const Field &field)
static SignatureWidget | Create (PDFDoc &doc, const Rect &pos, const DigitalSignatureField &field)
Static Public Member Functions inherited from pdftron::PDF::Annots::Widget
static Widget | Create (SDF::SDFDoc &doc, const Rect &pos, Field field)
Static Public Member Functions inherited from pdftron::PDF::Annot
static Annot | Create (SDF::SDFDoc &doc, Type type, const Rect &pos)
static Annot * | CreateInternal (ptrdiff_t impl)

## Additional Inherited Members
Public Types inherited from pdftron::PDF::Annots::Widget
enum | HighlightingMode { e_none, e_invert, e_outline, e_push, e_toggle }
enum | IconCaptionRelation { e_NoIcon, e_NoCaption, e_CBelowI, e_CAboveI, e_CRightILeft, e_CLeftIRight, e_COverlayI }
enum | ScaleCondition { e_Always, e_WhenBigger, e_WhenSmaller, e_Never }
enum | ScaleType { e_Anamorphic, e_Proportional }
Public Types inherited from pdftron::PDF::Annot
enum | Type { e_Text, e_Link, e_FreeText, e_Line, e_Square, e_Circle, e_Polygon, e_Polyline, e_Highlight, e_Underline, e_Squiggly, e_StrikeOut, e_Stamp, e_Caret, e_Ink, e_Popup, e_FileAttachment, e_Sound, e_Movie, e_Widget, e_Screen, e_PrinterMark, e_TrapNet, e_Watermark, e_3D, e_Redact, e_Projection, e_RichMedia, e_Unknown }
enum | Flag { e_invisible, e_hidden, e_print, e_no_zoom, e_no_rotate, e_no_view, e_read_only, e_locked, e_toggle_no_view, e_locked_contents }
enum | ActionTriggerEvent { e_action_trigger_activate = 0, e_action_trigger_annot_enter = 1, e_action_trigger_annot_exit = 2, e_action_trigger_annot_down = 3, e_action_trigger_annot_up = 4, e_action_trigger_annot_focus = 5, e_action_trigger_annot_blur = 6, e_action_trigger_annot_page_open = 7, e_action_trigger_annot_page_close = 8, e_action_trigger_annot_page_visible = 9, e_action_trigger_annot_page_invisible = 10 }
enum | AnnotationState { e_normal, e_rollover, e_down }
typedef pdftron::PDF::BorderStyle | BorderStyle

## Detailed Description

An object representing a Signature used in a PDF Form. These Widgets can be signed directly, or signed using a DigitalSignatureField.

Definition at line 17 of file SignatureWidget.h.

## Constructor & Destructor Documentation

pdftron::PDF::Annots::SignatureWidget::SignatureWidget | ( | SDF::Obj | d = `0` | ) |

Creates a SignatureWidget annotation and initializes it using given Cos/SDF object.

Parameters

  d | the input Cos/SDF object

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

pdftron::PDF::Annots::SignatureWidget::SignatureWidget | ( | const Annot & | annot | ) |

Creates a Widget annotation and initializes it using given annotation object.

Parameters

  annot | the annot

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

## Member Function Documentation

static SignatureWidget pdftron::PDF::Annots::SignatureWidget::Create | ( | PDFDoc & | doc,
|  | const Rect & | pos,
|  | const UString & | field_name = `""`
| ) |  |
| static

Creates a new SignatureWidget annotation in the specified document, and adds an associated signature form field to the document.

Parameters

  doc | The document to which the widget is to be added.
  pos | A rectangle specifying the widget's bounds in default user space units.
  field_name | The name of the digital signature field to create. Optional - autogenerated by default.

Returns
  A newly-created blank SignatureWidget annotation.

static SignatureWidget pdftron::PDF::Annots::SignatureWidget::Create | ( | PDFDoc & | doc,
|  | const Rect & | pos,
|  | const Field & | field
| ) |  |
| static

Creates a new SignatureWidget annotation associated with a particular form field in the specified document.

Parameters

  doc | The document to which the widget is to be added.
  pos | A rectangle specifying the widget's bounds in default user space units.
  field | The digital signature field for which to create a signature widget.

Returns
  A newly-created blank SignatureWidget annotation.

static SignatureWidget pdftron::PDF::Annots::SignatureWidget::Create | ( | PDFDoc & | doc,
|  | const Rect & | pos,
|  | const DigitalSignatureField & | field
| ) |  |
| static

Creates a new SignatureWidget annotation associated with a particular DigitalSignatureField object (representing a signature-type form field) in the specified document.

Parameters

  doc | The document to which the widget is to be added.
  pos | A rectangle specifying the widget's bounds in default user space units.
  field | The digital signature field for which to create a signature widget.

Returns
  A newly-created blank SignatureWidget annotation.

void pdftron::PDF::Annots::SignatureWidget::CreateSignatureAppearance | ( | Image & | img | ) |

A function that will create and add an appearance to this widget by centering an image within it.

Parameters

  img | A PDF::Image object representing the image to use.

DigitalSignatureField pdftron::PDF::Annots::SignatureWidget::GetDigitalSignatureField | ( |  | ) |

Retrieves the DigitalSignatureField associated with this SignatureWidget.

Returns
  A DigitalSignatureField object representing the digital signature form field associated with this signature widget annotation.

The documentation for this class was generated from the following file:

- PDF/Annots/SignatureWidget.h